Bug 957775 - (CVE-2013-2019) CVE-2013-2019 boinc-client: Stack-overflow by processing XML element with multiple file signatures
CVE-2013-2019 boinc-client: Stack-overflow by processing XML element with mul...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20130428,reported=2...
: Security
Depends On: 957812
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-29 09:57 EDT by Jan Lieskovsky
Modified: 2015-07-31 03:05 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Novell 817777 None None None Never

  None (edit)
Description Jan Lieskovsky 2013-04-29 09:57:07 EDT
A stack overflow flaw was found in the way boinc-client, a Berkeley Open Infrastructure for Network Computing (BOINC) client for distributed computing, performed processing of file signatures in certain cases. A rogue BOINC server could provide a specially-crafted file information XML element (containing multiple file signatures) that, when processed would lead to the boinc-client executable crash.

References:
[1] http://www.openwall.com/lists/oss-security/2013/04/28/3

Relevant upstream patch:
[2] http://boinc.berkeley.edu/gitweb/?p=boinc-v2.git;a=commitdiff;h=9a4140ae30a72e5175f3f31646d91f2d58df7156
Comment 1 Jan Lieskovsky 2013-04-29 10:10:03 EDT
This issue did NOT affect the versions of the boinc-client package, as shipped with Fedora release of 17 and 18.

--

This issue affects the version of the boinc-client package, as shipped with Fedora EPEL-6. Please schedule an update.
Comment 2 Jan Lieskovsky 2013-04-29 11:05:42 EDT
Created boinc-client tracking bugs for this issue

Affects: epel-6 [bug 957812]
Comment 3 Vincent Danen 2013-04-29 17:03:52 EDT
As per:

http://www.openwall.com/lists/oss-security/2013/04/29/11

this was assigned CVE-2013-2019
Comment 4 Fedora Update System 2014-05-09 18:03:07 EDT
boinc-client-7.2.33-3.git1994cc8.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.